Subject: Re: [PATCH v3 net] net: phy: micrel: Dynamically control external clock of KSZ PHY

From: Jakub Kicinski <[email-masked]>
Date: Tue, 10 Dec 2024 17:59:28 -0800

On Wed, 11 Dec 2024 01:49:50 +0000 Wei Fang wrote:
> > I may be missing something but if you don't need to disable the generic
> > clock you can put the disable into the if () block for rmii-ref ?  
> 
> For my case, it's fine to disable rmii-ref because this clock source is always
> enabled in FEC driver. But the commit 99ac4cbcc2a5 ("net: phy: micrel: allow
> usage of generic ethernet-phy clock") was applied a year ago, so I raised a
> concern in V2 [1], if a new platform only enables rmii-ref in the PHY driver,
> disabling rmii-ref after getting the clock rate will cause problem, which will
> cause RMII to not work. I'm not sure if any platform actually does this, if so
> the following changes will be a more serious problem.

Put more of this explanation into the commit message and resend.
If it convinces Andrew we can apply.